
package de.ivu.elect.business.stimmeingabe.control;

import java.util.Collection;

import de.ivu.elect.business.dokumente.entity.DokumentVorlage;
import de.ivu.elect.business.gebietsbaum.boundary.AbstractGebietDAO;
import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.system.control.CustomContextParameter;

public interface StimmeingabeDocumentExportContext extends CustomContextParameter {

  Collection<Gebiet> getAuswertungsgebiete(AbstractGebietDAO gebietDAO);

  DokumentVorlage getDokumentVorlage();

  boolean isDocumentFuerWahlgebietRequired();

  boolean isSectionErfassteStimmzettelExcluded();

  boolean isSectionZaehllisteElektronischExcluded();

  boolean isEingabenExcluded();
}
